﻿

interface UtilInterface {

    /** 
   * 普通log
   * @param {string} msg log文字
   * @param {string} msg 文字颜色
   */
    log(msg: any, chalk?: Chalk.ChalkChain)

    /** 
    * 输出警告
    * @param {string} msg log文字
    */
    warn(msg): void


    /** 
    * 输出错误
    * @param {string} msg log文字
    */
    error(msg): void


    /** 
    * 输出成功
    * @param {string} msg log文字
    */
    success(msg): void


    /** 
    * 输入文字
    */
    input(message: string): Promise<string>


    /** 
    * 询问列表
    */
    confirm(msg: string): Promise<boolean>


    /** 
    * 列表选择
    */
    list(msg: string, list: string[]): Promise<number>


    /** 
    * 生成日记文件
    */
    createLogFile(path: string): Promise<boolean>


    /**
    * 执行cmd 命令
    * @param  text 命令
    */
    exec(text: string): Promise<string>



    /**
    * 唯一码
    */
    uuid(): string



    /**
     * 清除前后空格
     * @param str
     */
    trim(str: String): string



    /**
     * 性能测试
     * @param fun
     */
    performanceTest(fun: () => any): Promise<number>

}


declare module "axiba-util" {

    var exp: UtilInterface;

    export let Util: {
        new (): UtilInterface;
    }

    export default exp;

}